Bug 990341 - Duplicate gear size show in user's allowed gears.
Duplicate gear size show in user's allowed gears.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rajat Chopra
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 22:45 EDT by Liang Xia
Modified: 2015-05-14 20:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:58:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Liang Xia 2013-07-30 22:45:13 EDT
Description of problem:
Say a user has gear size small (medium/c9), add gear size small (medium/c9) to user via oo-admin-ctl-user will show duplicate small (medium/c9) in user's allowed gear size.

Version-Release number of selected component (if applicable):
devenv_3588

How reproducible:
always

Steps to Reproduce:
1.oo-admin-ctl-user -l lxia@redhat.com
2.oo-admin-ctl-user -l lxia@redhat.com --addgearsize medium
3.oo-admin-ctl-user -l lxia@redhat.com --addgearsize medium
4.oo-admin-ctl-user -l lxia@redhat.com
5.rhc account -l lxia@redhat.com

Actual results:
Step 4 show: gear sizes: small, medium, medium
Step 5 show: Allowed Gear Sizes: small, medium, medium

Expected results:
No duplicate.

Additional info:
Comment 1 Rajat Chopra 2013-07-31 15:38:24 EDT
Fixed with pull request - https://github.com/openshift/origin-server/pull/3245
Comment 2 chunchen 2013-07-31 22:12:39 EDT
It's fixed, verified on devenv_3597, please refer to the results:

1.oo-admin-ctl-user -l chunchen --addgearsize medium
2.oo-admin-ctl-user -l chunchen --addgearsize medium
3.oo-admin-ctl-user -l chunchen
4.rhc account -l chunchen

At step 3: gear sizes: small, medium, c9
At step 4: Allowed Gear Sizes: small, medium, c9

Note You need to log in before you can comment on or make changes to this bug.